Bug 1014802 - Help for usbredirect on connect should be improved. [NEEDINFO]
Help for usbredirect on connect should be improved.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-gtk (Show other bugs)
6.5
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
Desktop QE
:
Depends On:
Blocks: 1020680
  Show dependency treegraph
 
Reported: 2013-10-02 16:01 EDT by Vimal Patel
Modified: 2014-06-04 12:17 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1020680 (view as bug list)
Environment:
Last Closed: 2014-06-04 12:17:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
marcandre.lureau: needinfo? (vipatel)


Attachments (Terms of Use)

  None (edit)
Description Vimal Patel 2013-10-02 16:01:17 EDT
Description of problem:

When looking at the help for remote-viewer (remote-viewer --help-spice), the usbredirect on connect option is not clear.

  --spice-usbredir-redirect-on-connect=<filter-string>              Filter selecting USB devices to redirect on connect

The explanation of spice-usbredir-redirect-on-connect, would be clearer if it was explained by saying Fillter selecting connected USB devices to redirect when a remote-viewer connection is established. 

Version-Release number of selected component (if applicable):
virt-viewer-0.5.6-8.el6.x86_64

How reproducible:


Steps to Reproduce:
1.remote-viewer --help-spice
2.
3.

Actual results:
  --spice-usbredir-redirect-on-connect=<filter-string>              Filter selecting USB devices to redirect on connect

Expected results:
  --spice-usbredir-redirect-on-connect=<filter-string>              Filter selecting connected USB devices to redirect when a remote-viewer connection is established.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 21:48:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Marc-Andre Lureau 2014-04-03 08:14:05 EDT
(In reply to Vimal Patel from comment #0)
> Expected results:
>   --spice-usbredir-redirect-on-connect=<filter-string>              Filter
> selecting connected USB devices to redirect when a remote-viewer connection
> is established.

This help message is not specific to remote-viewer. Any spice client should share the same message. It is obvious that device has to be present to be redirected on connect. Tbh, I don't know how we could make this text message clearer.

Please consider closing this bug, and making this sort of suggestion upstream in mailing list before opening a bug.
Comment 4 Jonathon Jongsma 2014-04-03 10:45:58 EDT
Part of the lack of clarity here may be due to the fact that 'on connect' could be interpreted in 2 ways: 1) spice connection to guest, 2) usb device connected to client machine. Note that the upstream help text no longer contains the 'on connect' text. It now says:

"Filter selecting USB devices to be auto-redirected when plugged in"

which is slightly less ambiguous.
Comment 5 Jonathon Jongsma 2014-04-03 10:46:57 EDT
sorry, ignore last comment, I was looking at the help text for the wrong option.
Comment 6 Marc-Andre Lureau 2014-04-03 10:55:24 EDT
(In reply to Jonathon Jongsma from comment #4)
> Part of the lack of clarity here may be due to the fact that 'on connect'
> could be interpreted in 2 ways: 1) spice connection to guest, 2) usb device
> connected to client machine. 

I think we use the term "plug" for USB device, especially in user visible strings.

so is this better: selecting USB devices to redirect on connect "to server"?
Comment 7 Jonathon Jongsma 2014-04-03 12:15:42 EDT
I personally think that's a bit more clear, yes.  You could possibly replace 'to server' with 'to guest' if one or the other is more consistent with other documentation.
Comment 8 Marc-Andre Lureau 2014-04-03 12:24:03 EDT
(In reply to Jonathon Jongsma from comment #7)
> I personally think that's a bit more clear, yes.  You could possibly replace
> 'to server' with 'to guest' if one or the other is more consistent with
> other documentation.

a guest is one of the possible usage of spice server, so I prefer to stick with "server" (even usb redirection currently works only with a qemu guest..)
Comment 9 Marc-Andre Lureau 2014-04-16 06:10:49 EDT
Vimal, could you help and comment previous proposals?
Comment 10 Marc-Andre Lureau 2014-04-25 07:48:08 EDT
Vimal, can you comment on previous proposals? thanks
Comment 11 Marc-Andre Lureau 2014-05-23 09:35:12 EDT
ping
Comment 12 Marc-Andre Lureau 2014-06-04 12:17:41 EDT
no better version, let's keep current doc then.

Note You need to log in before you can comment on or make changes to this bug.